Package com.sas.lsaf.workflow.processflow.setup

## Class UserTaskSetup

- java.lang.Object
- - com.sas.lsaf.workflow.processflow.setup.ElementSetup
  - - com.sas.lsaf.workflow.processflow.setup.TaskSetup
    - - com.sas.lsaf.workflow.processflow.setup.UserTaskSetup

- All Implemented Interfaces:
    `java.io.Serializable`

      public class UserTaskSetup
      extends TaskSetup

  The class that specifies the setup information for the user task elements that are in a process flow.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `description, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserTaskSetup​(java.lang.String name, java.lang.String description, java.lang.String elementId, Element.ElementType type, java.lang.String processFlowIdentifier)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAssignee()` | Gets the identifier of the user who is assigned to the user task.
    `java.util.Set<Principal>` | `getCandidates()` | Gets the candidates for the user task.
    `Task.Complexity` | `getComplexity()` | Gets the complexity of the user task.
    `java.util.Date` | `getDueDate()` | Gets the due date for the user task.
    `Task.Priority` | `getPriority()` | Gets the priority of the user task.
    `void` | `setAssignee​(java.lang.String assignee)` | Sets the identifier of the user to assign to the user task.
    `void` | `setCandidates​(java.util.Set<Principal> candidates)` | Sets the candidates for the user task.
    `void` | `setComplexity​(Task.Complexity complexity)` | Sets the complexity of the user task.
    `void` | `setDueDate​(java.util.Date dueDate)` | Sets the due date for the user task.
    `void` | `setPriority​(Task.Priority priority)` | Sets the complexity of the user task.

    - ### Methods inherited from class com.sas.lsaf.workflow.processflow.setup.TaskSetup

      `equals, getAttributes, hashCode, setAttributes, setDescription, setName, toString`

    - ### Methods inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `getDescription, getElementId, getName, getProcessFlowIdentifier, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTaskSetup

          public UserTaskSetup​(java.lang.String name,
                               java.lang.String description,
                               java.lang.String elementId,
                               Element.ElementType type,
                               java.lang.String processFlowIdentifier)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the setup elements returned by the API.
      Parameters:
        `name` - The name of the element.
        `description` - The description of the element.
        `elementId` - The identifier of the element as it appears in the process flow definition.
        `type` - The type of the element.
        `processFlowIdentifier` - The identifier of the process flow that contains the element.

  - ### Method Detail

    - #### getDueDate

          public java.util.Date getDueDate()

      Gets the due date for the user task.
      Returns:
        The due date.

    - #### setDueDate

          public void setDueDate​(java.util.Date dueDate)

      Sets the due date for the user task.
      Parameters:
        `dueDate` - The due date.

    - #### getComplexity

          public Task.Complexity getComplexity()

      Gets the complexity of the user task.
      Returns:
        The complexity.

    - #### setComplexity

          public void setComplexity​(Task.Complexity complexity)

      Sets the complexity of the user task.
      Parameters:
        `complexity` - The complexity.

    - #### getPriority

          public Task.Priority getPriority()

      Gets the priority of the user task.
      Returns:
        The priority.

    - #### setPriority

          public void setPriority​(Task.Priority priority)

      Sets the complexity of the user task.
      Parameters:
        `priority` - The priority.

    - #### getAssignee

          public java.lang.String getAssignee()

      Gets the identifier of the user who is assigned to the user task.
      Returns:
        The assignee.

    - #### setAssignee

          public void setAssignee​(java.lang.String assignee)

      Sets the identifier of the user to assign to the user task.
      Parameters:
        `assignee` - The assignee.

    - #### getCandidates

          public java.util.Set<Principal> getCandidates()

      Gets the candidates for the user task.
      Returns:
        The candidates.

    - #### setCandidates

          public void setCandidates​(java.util.Set<Principal> candidates)

      Sets the candidates for the user task.
      Parameters:
        `candidates` - The candidates.